Jailbreaking 3.1.2 update from Apple

Discussion in 'Jailbreaks and iOS Hacks' started by yomnym, Oct 9, 2009.

  1. yomnym macrumors 6502

    yomnym

    Joined:
    Sep 25, 2008
    #1
    I've had my phone jailbroken 3.0.1 with redsnow before but due to some testing and wanting to jailbreak 3.1 ahead of time i had to restore from apple and now im with 3.1.2. I just want to know basically if atleast for now im stuck like chuck? I know similar subjects have been discussed but i cant seem to be able to get a straight answer. I would really appreciate if anyone could advise me on this. Thanks
     
  2. richardhunt macrumors regular

    Joined:
    Oct 2, 2007
    #2
    Yes, for now you are stuck in jail until one of the developers release their OTB 3.1.X solution.
     
  3. Cap41 macrumors 6502

    Joined:
    Nov 19, 2008
    #3
    are you sure about that, the i read the dev team blog...he could jailbreak that phone.l
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    Where did you get this idea from, at least for now ?

    From DevTeam blog "PwnageTool and redsn0w are not yet compatible with 3.1.2"

    And I didn't see it on DevTeam member's tweets

    But I do believe they will get PT working with 3.1.2

    GeoHot made a claim that his JB tool works with 3.1.2 but of course we haven't seen anything but a bunch of tweets.
     
  5. yomnym thread starter macrumors 6502

    yomnym

    Joined:
    Sep 25, 2008
    #5
    So the 3gs is supported in pwnage tool but it doesn't support 3.1.2. Got it, i'll just sit around and wait for maybe a hack to 3.1.2.
     
  6. grandeabc macrumors member

    grandeabc

    Joined:
    Sep 15, 2007
    #6
    On your 3GS 3.0 0r 3.01, through the jailbreak process, you should choose: "Make My Life Easier" button within Cydia to store your ECIDs. THen you can upgrade with a chance to jailbreak it later.
     
  7. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #7

    And of course to do the Make my life easier, you must be currently JB.
     
  8. yomnym thread starter macrumors 6502

    yomnym

    Joined:
    Sep 25, 2008
    #8
    yeah i had done that.. so it read in Cydia "this device has a XXXX on file" and i was jailbroken, i guess now i just have to wait for them to come out with a JB for 3.1.2 for my 3Gs
     
  9. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #9
    PT for 3.1.2 may be released today, but I don't know if it will work for 3GS phones already at 3.1.2 or if you will have to be JB on 3.1 or below to use it.

    We shall see.
     
  10. yomnym thread starter macrumors 6502

    yomnym

    Joined:
    Sep 25, 2008
    #10
    Thanks for the info, lets see what the news are. I have a good feeling they'll pull it off no matter how or what we will JB. :)
     
  11. yomnym thread starter macrumors 6502

    yomnym

    Joined:
    Sep 25, 2008
    #11
    Today i used Pwnage tool 3.1.4 to create a custom IPSW for my iphone which had been updated to 3.1.2 using apple's update, now when trying to restore using the custom 3.1.2 file it gives me an error 1600, or 1604... I thought that the new pwnage tool would allow me to jailbreak the phone even if update to 3.1.2? Any help
     

Share This Page